%define _unpackaged_files_terminate_build 1
%define _stripped_files_terminate_build 1
%set_verify_elf_method strict,lint=relaxed

%global _zig_cache_dir %_builddir/zig-cache

Name: waylock
Summary: A small, secure Wayland screenlocker
Version: 1.3.0
Release: alt1
License: GPL-3.0
Group: Graphical desktop/Other
Url: https://isaacfreund.com/software/waylock
Vcs: https://isaacfreund.com/software/waylock

Source0: %name-%version.tar
Source1: vendor.tar
ExclusiveArch: %zig_arches

BuildRequires(pre): rpm-macros-zig

# Generated by gear-buildreq
BuildRequires: libpam-devel libwayland-client-devel libxkbcommon-devel python-modules-encodings python3-dev scdoc wayland-protocols zig

%description
Waylock is a small screenlocker for Wayland compositors implementing
ext-session-lock-v1. The ext-session-lock-v1 protocol is significantly more
robust than previous client-side Wayland screen locking approaches.
Importantly, the screenlocker crashing does not cause the session to be
unlocked.

%prep
%setup -a1
mv ./vendor %_zig_cache_dir

%build
%zig_build \
    -Dpie

%install
%zig_install \
    -Dpie

%files
%doc README.md LICENSE
%_bindir/waylock
/etc/pam.d/waylock
/usr/share/man/man1/waylock.1.xz

%changelog
* Sun Oct 27 2024 Michael Chernigin <chernigin@altlinux.org> 1.3.0-alt1
- Initial build for ALT.
